UBYTE Gadget48SIBuff[3] = "1";

struct StringInfo Gadget48SInfo = {
        Gadget48SIBuff, /* buffer where text will be edited */
        NULL,   /* optional undo buffer */
        0,      /* character position in buffer */
        3,      /* maximum number of characters to allow */
        0,      /* first displayed character buffer position */
        0,0,0,0,0,      /* Intuition initialized and maintained variables */
        0,      /* Rastport of gadget */
        1,      /* initial value for integer gadgets */
        NULL    /* alternate keymap (fill in if you set the flag) */
};

SHORT BorderVectors11[] = {
        0,0,
        31,0,
        31,17,
        0,17,
        0,1
};
struct Border Border11 = {
        -5,-5,  /* XY origin relative to container TopLeft */
        3,0,COMPLEMENT, /* front pen, back pen and drawmode */
        5,      /* number of XY vectors */
        BorderVectors11,        /* pointer to XY vectors */
        NULL    /* next border in list */
};

struct Gadget Gadget48 = {
        NULL,   /* next gadget */
        215,120,        /* origin XY of hit box relative to window TopLeft */
        26,16,  /* hit box width and height */
        NULL,   /* gadget flags */
        STRINGCENTER+LONGINT,     /* activation flags */
        STRGADGET,      /* gadget type flags */
        (APTR)&Border11,        /* gadget border or image to be rendered */
        NULL,   /* alternate imagery for selection */
        NULL,   /* first IntuiText structure */
        NULL,   /* gadget mutual-exclude long word */
        (APTR)&Gadget48SInfo,   /* SpecialInfo structure */
        NULL,   /* user-definable data */
        NULL    /* pointer to user-definable data */
};

/* Line selection Gadget */

struct Image Image13 = {
        0,0,    /* XY origin relative to container TopLeft */
        60,17,  /* Image width and height in pixels */
        2,      /* number of bitplanes in Image */
        ImageData6,    /* pointer to ImageData */
        0x0005,0x0000,  /* PlanePick and PlaneOnOff */
        NULL    /* next Image structure */
};


struct Image Image14 = {
        -1,0,   /* XY origin relative to container TopLeft */
        58,15,  /* Image width and height in pixels */
        2,      /* number of bitplanes in Image */
        ImageData7,    /* pointer to ImageData */
        0x0005,0x0000,  /* PlanePick and PlaneOnOff */
        NULL    /* next Image structure */
};

struct Gadget Gadget47 = {
        &Gadget48,      /* next gadget */
        209,152,        /* origin XY of hit box relative to window TopLeft */
        60,17,  /* hit box width and height */
        GADGHIMAGE+GADGIMAGE,   /* gadget flags */
        GADGIMMEDIATE+TOGGLESELECT, /* activation flags */
        BOOLGADGET,     /* gadget type flags */
        (APTR)&Image13, /* gadget border or image to be rendered */
        (APTR)&Image14, /* alternate imagery for selection */
        NULL,   /* first IntuiText structure */
        NULL,   /* gadget mutual-exclude long word */
        NULL,   /* SpecialInfo structure */
        NULL,   /* user-definable data */
        NULL    /* pointer to user-definable data */
};

UBYTE Gadget46SIBuff[3] = "4";
struct StringInfo Gadget46SInfo = {
        Gadget46SIBuff, /* buffer where text will be edited */
        NULL,   /* optional undo buffer */
        0,      /* character position in buffer */
        3,      /* maximum number of characters to allow */
        0,      /* first displayed character buffer position */
        0,0,0,0,0,      /* Intuition initialized and maintained variables */
        0,      /* Rastport of gadget */
        4,      /* initial value for integer gadgets */
        NULL    /* alternate keymap (fill in if you set the flag) */
};

SHORT BorderVectors12[] = {
        0,0,
        31,0,
        31,17,
        0,17,
        0,1
};
struct Border Border12 = {
        -5,-5,  /* XY origin relative to container TopLeft */
        3,0,COMPLEMENT, /* front pen, back pen and drawmode */
        5,      /* number of XY vectors */
        BorderVectors12,        /* pointer to XY vectors */
        NULL    /* next border in list */
};

struct Gadget Gadget46 = {
        &Gadget47,      /* next gadget */
        216,190,        /* origin XY of hit box relative to window TopLeft */
        26,16,  /* hit box width and height */
        NULL,   /* gadget flags */
        STRINGCENTER+LONGINT,     /* activation flags */
        STRGADGET,      /* gadget type flags */
        (APTR)&Border12,        /* gadget border or image to be rendered */
        NULL,   /* alternate imagery for selection */
        NULL,   /* first IntuiText structure */
        NULL,   /* gadget mutual-exclude long word */
        (APTR)&Gadget46SInfo,   /* SpecialInfo structure */
        NULL,   /* user-definable data */
        NULL    /* pointer to user-definable data */
};

/* Tick Gadget */

struct Image Image15 = {
        0,0,    /* XY origin relative to container TopLeft */
        36,34,  /* Image width and height in pixels */
        2,      /* number of bitplanes in Image */
        ImageData3,    /* pointer to ImageData */
        0x0003,0x0000,  /* PlanePick and PlaneOnOff */
        NULL    /* next Image structure */
};

/* Cross Gadget */

struct Image Image16 = {
        0,0,    /* XY origin relative to container TopLeft */
        37,35,  /* Image width and height in pixels */
        2,      /* number of bitplanes in Image */
        ImageData4,    /* pointer to ImageData */
        0x0003,0x0000,  /* PlanePick and PlaneOnOff */
        NULL    /* next Image structure */
};

struct Gadget Gadget45 = {
        &Gadget46,      /* next gadget */
        57,53,  /* origin XY of hit box relative to window TopLeft */
        25,26,  /* hit box width and height */
        GADGHIMAGE+GADGIMAGE,   /* gadget flags */
        GADGIMMEDIATE,     /* activation flags */
        BOOLGADGET,     /* gadget type flags */
        (APTR)&Image16, /* gadget border or image to be rendered */
        (APTR)&Image15, /* alternate imagery for selection */
        NULL,   /* first IntuiText structure */
        NULL,   /* gadget mutual-exclude long word */
        NULL,   /* SpecialInfo structure */
        NULL,   /* user-definable data */
        NULL    /* pointer to user-definable data */
};

/* Tick Gadget */

struct Image Image17 = {
        0,0,    /* XY origin relative to container TopLeft */
        36,34,  /* Image width and height in pixels */
        2,      /* number of bitplanes in Image */
        ImageData3,    /* pointer to ImageData */
        0x0003,0x0000,  /* PlanePick and PlaneOnOff */
        NULL    /* next Image structure */
};

/* Cross Gadget */

struct Image Image18 = {
        0,0,    /* XY origin relative to container TopLeft */
        37,35,  /* Image width and height in pixels */
        2,      /* number of bitplanes in Image */
        ImageData4,    /* pointer to ImageData */
        0x0003,0x0000,  /* PlanePick and PlaneOnOff */
        NULL    /* next Image structure */
};

struct Gadget Gadget44 = {
        &Gadget45,      /* next gadget */
        247,54, /* origin XY of hit box relative to window TopLeft */
        25,26,  /* hit box width and height */
        GADGHIMAGE+GADGIMAGE,   /* gadget flags */
        GADGIMMEDIATE,     /* activation flags */
        BOOLGADGET,     /* gadget type flags */
        (APTR)&Image18, /* gadget border or image to be rendered */
        (APTR)&Image17, /* alternate imagery for selection */
        NULL,   /* first IntuiText structure */
        NULL,   /* gadget mutual-exclude long word */
        NULL,   /* SpecialInfo structure */
        NULL,   /* user-definable data */
        NULL    /* pointer to user-definable data */
};


/* Data for the "Continue" Arrow */

extern USHORT chip ImageData1[];

struct Image Image19 = {
        -10,-10,        /* XY origin relative to container TopLeft */
        117,68, /* Image width and height in pixels */
        2,      /* number of bitplanes in Image */
        ImageData1,    /* pointer to ImageData */
        0x0001,0x0000,  /* PlanePick and PlaneOnOff */
        NULL    /* next Image structure */
};

struct Gadget Gadget43 = {
        &Gadget44,      /* next gadget */
        331,184,        /* origin XY of hit box relative to window TopLeft */
        99,43,  /* hit box width and height */
        GADGHBOX+GADGHIMAGE+GADGIMAGE,  /* gadget flags */
        GADGIMMEDIATE,  /* activation flags */
        BOOLGADGET,     /* gadget type flags */
        (APTR)&Image19, /* gadget border or image to be rendered */
        NULL,   /* alternate imagery for selection */
        NULL,   /* first IntuiText structure */
        NULL,   /* gadget mutual-exclude long word */
        NULL,   /* SpecialInfo structure */
        NULL,   /* user-definable data */
        NULL    /* pointer to user-definable data */
};

#define GadgetList4 Gadget43

struct IntuiText IText21 = {
        1,0,JAM2,       /* front and back text pens, drawmode and fill byte */
        301,63, /* XY origin relative to container TopLeft */
        NULL,   /* font pointer or NULL for default */
        "Skip Data Set",        /* pointer to text */
        NULL    /* next IntuiText structure */
};

struct IntuiText IText20 = {
        1,0,JAM2,       /* front and back text pens, drawmode and fill byte */
        117,65, /* XY origin relative to container TopLeft */
        NULL,   /* font pointer or NULL for default */
        "Default Plot", /* pointer to text */
        &IText21        /* next IntuiText structure */
};

struct IntuiText IText19 = {
        1,0,JAM2,       /* front and back text pens, drawmode and fill byte */
        52,190, /* XY origin relative to container TopLeft */
        NULL,   /* font pointer or NULL for default */
        "Point Size (1-10)",    /* pointer to text */
        &IText20        /* next IntuiText structure */
};

struct IntuiText IText18 = {
        1,0,JAM2,       /* front and back text pens, drawmode and fill byte */
        94,157, /* XY origin relative to container TopLeft */
        NULL,   /* font pointer or NULL for default */
        "Plot Data as", /* pointer to text */
        &IText19        /* next IntuiText structure */
};

struct IntuiText IText17 = {
        1,0,JAM2,       /* front and back text pens, drawmode and fill byte */
        39,121, /* XY origin relative to container TopLeft */
        NULL,   /* font pointer or NULL for default */
        "Select Colour (0-9)",  /* pointer to text */
        &IText18        /* next IntuiText structure */
};

struct IntuiText IText16 = {
        1,0,JAM1,       /* front and back text pens, drawmode and fill byte */
        152,22, /* XY origin relative to container TopLeft */
        NULL,   /* font pointer or NULL for default */
        NULL,       /* pointer to text */
        &IText17        /* next IntuiText structure */
};

char title1[]="                Custom Plot Window              ";

char SetText[20][18]={"First Data Set",
                    "Second Data Set",
                    "Third Data Set",
                    "Fourth Data Set",
                    "Fifth Data Set",
                    "Sixth Data Set",
                    "Seventh Data Set",
                    "Eighth Data Set",
                    "Nineth Data Set",
                    "Tenth Data Set",
                    "Eleventh Data Set",
                    "Twelfth Data Set",
                    "Thirteenth Set",
                    "Fourteenth Set",
                    "Fifteenth Set",
                    "Sixteenth Set",
                    "Seventeenth Set",
                    "Eighteenth Set",
                    "Nineteenth Set",
                    "Twentieth Set"};



