/* plot.h */
#include <exec/types.h>
#include <intuition/intuition.h>
#include "mp.h"
#include "plotlim.h"

#define NOACTION 0
#define GETDATALIMITS 1
#define GETHOWTO 2
#define REPLOT 3
#define QUIT 4

extern struct RastPort *rp;
extern struct ViewPort *vp;
extern long GfxBase;
extern long IntuitionBase;

#define PMove(x,y) Move(rp,(x),MAXVERT-(y))
#define PDraw(x,y) Draw(rp,(x),MAXVERT-(y))
#define PWritePixel(x,y) WritePixel(rp,(x),MAXVERT-(y))
#define PRectFill(x1,y1,x2,y2) RectFill(rp,(x1),MAXVERT-(y2),(x2),MAXVERT-(y1))

